Subject: [ippm] Delta Times in draft-ietf-ippm-6man-pdm-option-12

From: Shahram Davari <[email-masked]>
Date: Tue, 20 Jun 2017 18:48:54 -0700

Hi,

I am trying to understand the rational and the procedure that the DELTATLS is calculated.
Usually there are many packets in fly between Host A to Host B. However the DELATTLS requires 
a packet to be sent from A to B and then reply come back from B to A before the next packet is sent.

This doesn’t seem realistic. I am assuming the only way to correlate the Transmit and receive packet is 
by 5-tupple. So there is no packet handle to correlate the transmit and receive packet, which means A has to wait for
reply to come back before sending next packet.

Is this the intention? are the PDM packets synthetic packets or they are added as option header to data packets (piggyback)?
if they are not synthetic packets then the existing mechanism doesn’t work.

Sorry that I have not been part of this discussion, so I may not know the reasons for DELATTLS. I am wondering why simply the
transmit timestamp is not sent in the packet so that A does not need to maintain state per packet.

Thanks
Shahram